/*
 * Class SEQUENCE [INTEGER_16]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_770 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_1_770 [] = {0xFF01,237,769,209,0xFFFF};
static const EIF_TYPE_INDEX egt_2_770 [] = {0xFF01,769,209,0xFFFF};
static const EIF_TYPE_INDEX egt_3_770 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_770 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_770 [] = {0xFF01,769,209,0xFFFF};
static const EIF_TYPE_INDEX egt_6_770 [] = {0xFF01,769,209,0xFFFF};
static const EIF_TYPE_INDEX egt_7_770 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_770 [] = {0xFF01,14,0xFFFF};
static const EIF_TYPE_INDEX egt_9_770 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_10_770 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_11_770 [] = {0xFF01,15,0xFFFF};
static const EIF_TYPE_INDEX egt_12_770 [] = {769,209,0xFFFF};
static const EIF_TYPE_INDEX egt_13_770 [] = {0xFF01,769,209,0xFFFF};
static const EIF_TYPE_INDEX egt_14_770 [] = {0xFF01,758,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_15_770 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_16_770 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_17_770 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_18_770 [] = {0xFFF8,1,0xFFFF};


static const struct desc_info desc_770[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_770), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_770), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_770), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_770), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_770), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_770), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_770), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_770), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_770), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_770), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_770), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_770), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_770), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01AF /*215*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_770), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2442, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2043, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1915, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1916, 0},
	{EIF_NON_GENERIC(0x017F /*191*/), 1917, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1918, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1919, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_770), 2453, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_770), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2443, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2495, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2445, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_770), 2446, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2447, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_770), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2494, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2449, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2450, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2451, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2452, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1962, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2593, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1963, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2594, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2595, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_18_770), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2596, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2597, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2013, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2445, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2444, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2591, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2592, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
};
void Init770(void)
{
	IDSC(desc_770, 0, 769);
	IDSC(desc_770 + 1, 1, 769);
	IDSC(desc_770 + 32, 77, 769);
	IDSC(desc_770 + 41, 155, 769);
	IDSC(desc_770 + 50, 30, 769);
	IDSC(desc_770 + 57, 282, 769);
	IDSC(desc_770 + 66, 243, 769);
	IDSC(desc_770 + 72, 229, 769);
	IDSC(desc_770 + 73, 294, 769);
	IDSC(desc_770 + 76, 237, 769);
	IDSC(desc_770 + 78, 50, 769);
	IDSC(desc_770 + 79, 35, 769);
}


#ifdef __cplusplus
}
#endif
